Bug 1271079 - Prerequisites ask for hostname -s to resolve
Prerequisites ask for hostname -s to resolve
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: David O'Brien
Stephen Wadeley
:
Depends On:
Blocks: 1271083
  Show dependency treegraph
 
Reported: 2015-10-13 02:53 EDT by Jan Pazdziora
Modified: 2015-11-17 14:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 14:06:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-10-13 02:53:45 EDT
Document URL: 

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Installation_Guide/sect-Red_Hat_Satellite-Installation_Guide-Prerequisites.html#sect-Red_Hat_Satellite-Installation_Guide-Prerequisites-Base_Operating_System

Section Number and Name: 

1.4.1. Base Operating System

Describe the issue: 

The command

# ping -c1 `hostname -s` # my_system

does not really make much sense. With myhostname nss plugin, only the FQDN will be resolved, and my test shows that that is enough for Satellite to install. Also, the sentence above that example says

  Full forward and reverse DNS resolution using a fully qualified domain name. Ensure that hostname and localhost resolve correctly, using the following commands:

so it correctly only talks about FQDN, not short name.

Suggestions for improvement: 

Remove that ping -c1 `hostname -s` # my_system line.

Additional information:
Comment 4 David O'Brien 2015-10-14 08:09:55 EDT
(In reply to Stephen Wadeley from comment #3)
> Hello
> 
> 
> --------------
> 
> One could suggest to the Content Strategist making a proper procedure for
> preparing a RHEL base system in a separate file and then using an Xinclude
> to include it in both chapters, for reader convenience, or just link to it
> the second time. 

This was my original thought, just link to the earlier chapter. Do you think I can find the email where I originally asked about it? Nooooo :-(

Thanks for acking the bug.

D.
Comment 5 David O'Brien 2015-10-15 20:03:24 EDT
Scheduled for release with async #2.

Note You need to log in before you can comment on or make changes to this bug.